From 9d1c9b83d41bc7b75e5d2ddd7b3b78e30af1c85d Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@iml.unibe.ch>
Date: Tue, 9 Nov 2021 12:06:35 +0100
Subject: [PATCH] FIX setting app owner on installdir

---
 deploy_app.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/deploy_app.sh b/deploy_app.sh
index 359aa39..2e8c57e 100755
--- a/deploy_app.sh
+++ b/deploy_app.sh
@@ -233,7 +233,8 @@ function deploy(){
         echo $skipmessage
     else
         if [ ! -z "${appowner}" ]; then
-            sudo chown -R $appowner * .* || exit 5
+            # . is ${installdir}
+            sudo chown -R $appowner . || exit 5
             ls -la
         else
             echo "SKIP: variable appowner was not set"
-- 
GitLab